<template>
  <div style="padding: 0 20px">

    <div ref="lxHeader">
      <lx-header icon="md-apps" text="出库统计" style="margin-bottom: 10px; border: 0px; margin-top: 15px">
      </lx-header>
    </div>
    <div class="wrap" :style="{'height':mapHeight+'px'}">
      <echartsLine ref="echartsLine1" :rotate="60" :lineDataX='monthX' :lineDataY='monthY'></echartsLine>
    </div>
  </div>
</template>

<script>
  import echartsLine from "@/views/reports/components/echartsLine.vue";
  export default {
    components: {
      echartsLine
    },
    data(){
      return{
        mapHeight:0,
        monthX: ['一月', '二月', '三月', '四月', '五月', '六月', '七月', '八月', '九月', '十月', '十一月', '十二月'],
        monthY: [5, 6, 7, 8, 9, 10, 12, 5, 6, 7, 8, 9],
      }

    },
    created(){
      this.initHeight()
    },
    methods: {
      initHeight() {
        let winHeight = document.body.clientHeight
        this.mapHeight = winHeight - 50 - 20
        console.log(winHeight)
      },
    },

  }
</script>

<style>
  .wrap{
    width:100%;
  }
</style>
